chrome.runtime.onMessage.addListener((request, sender, sendResponse) => {
    if (request.action === "fetchNotifications") {
      fetch(request.url)
        .then(response => response.json())
        .then(data => sendResponse({data: data}))
        .catch(error => sendResponse({error: error.toString()}));
      return true;
    }
  });